searchNodes=[{"doc":"","ref":"NextHubCrypto.html","title":"NextHubCrypto","type":"module"},{"doc":"Hashes a password, using hash_pwd_salt/2 , and returns the password hash in a map. This is a convenience function that is especially useful when used with Ecto changesets. Options In addition to the :hash_key option show below, this function also takes options that are then passed on to the hash_pwd_salt/2 function in this module. See the documentation for hash_pwd_salt/2 for further details. :hash_key - the password hash identifier the default is :password_hash Example with Ecto The put_pass_hash function below is an example of how you can use add_hash to add the password hash to the Ecto changeset. defp put_pass_hash ( % Ecto.Changeset { valid? : true , changes : %{ password : password } } = changeset ) do change ( changeset , add_hash ( password ) ) end defp put_pass_hash ( changeset ) , do : changeset This function will return a changeset with %{password_hash: password_hash} added to the changes map.","ref":"NextHubCrypto.html#add_hash/2","title":"NextHubCrypto.add_hash/2","type":"function"},{"doc":"Checks the password, using verify_pass/2 , by comparing the hash with the password hash found in a user struct, or map. This is a convenience function that takes a user struct, or map, as input and seamlessly handles the cases where no user is found. Options :hash_key - the password hash identifier this does not need to be set if the key is :password_hash or :encrypted_password :hide_user - run the no_user_verify/1 function if no user is found the default is true Example The following is an example of using this function to verify a user's password: def verify_user ( %{ &quot;password&quot; =&gt; password } = params ) do params |&gt; Accounts . get_by ( ) |&gt; check_pass ( password ) end The Accounts.get_by function in this example takes the user parameters (for example, email and password) as input and returns a user struct or nil.","ref":"NextHubCrypto.html#check_pass/3","title":"NextHubCrypto.check_pass/3","type":"function"},{"doc":"Runs the password hash function, but always returns false. This function is intended to make it more difficult for any potential attacker to find valid usernames by using timing attacks. This function is only useful if it is used as part of a policy of hiding usernames. Options This function should be called with the same options as those used by hash_pwd_salt/2 . Hiding usernames In addition to keeping passwords secret, hiding the precise username can help make online attacks more difficult. An attacker would then have to guess a username / password combination, rather than just a password, to gain access. This does not mean that the username should be kept completely secret. Adding a short numerical suffix to a user's name, for example, would be sufficient to increase the attacker's work considerably. If you are implementing a policy of hiding usernames, it is important to make sure that the username is not revealed by any other part of your application.","ref":"NextHubCrypto.html#no_user_verify/1","title":"NextHubCrypto.no_user_verify/1","type":"function"},{"doc":"","ref":"NextHubCrypto.Base.html","title":"NextHubCrypto.Base","type":"module"},{"doc":"","ref":"NextHubCrypto.Base.html#gen_salt/1","title":"NextHubCrypto.Base.gen_salt/1","type":"function"},{"doc":"","ref":"NextHubCrypto.Base.html#hash_password/3","title":"NextHubCrypto.Base.hash_password/3","type":"function"},{"doc":"","ref":"NextHubCrypto.Base.html#verify_pass/6","title":"NextHubCrypto.Base.verify_pass/6","type":"function"},{"doc":"","ref":"NextHubCrypto.Base64.html","title":"NextHubCrypto.Base64","type":"module"},{"doc":"","ref":"NextHubCrypto.Base64.html#decode/1","title":"NextHubCrypto.Base64.decode/1","type":"function"},{"doc":"","ref":"NextHubCrypto.Base64.html#encode/1","title":"NextHubCrypto.Base64.encode/1","type":"function"},{"doc":"","ref":"NextHubCrypto.Stats.html","title":"NextHubCrypto.Stats","type":"module"},{"doc":"","ref":"NextHubCrypto.Stats.html#report/1","title":"NextHubCrypto.Stats.report/1","type":"function"},{"doc":"","ref":"NextHubCrypto.Tools.html","title":"NextHubCrypto.Tools","type":"module"},{"doc":"","ref":"NextHubCrypto.Tools.html#check_salt_length/1","title":"NextHubCrypto.Tools.check_salt_length/1","type":"function"},{"doc":"","ref":"NextHubCrypto.Tools.html#get_random_string/2","title":"NextHubCrypto.Tools.get_random_string/2","type":"function"},{"doc":"","ref":"NextHubCrypto.Tools.html#secure_check/2","title":"NextHubCrypto.Tools.secure_check/2","type":"function"}]